# rust-time.spec
# Generated by rust2rpm 21
%bcond_with check
%global debug_package %{nil}

%global crate time

Name:           rust-%{crate}
Version:        0.3.9
Release:        1%{?dist}.1
Summary:        Date and time library

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/time
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21
BuildRequires:  (crate(libc/default) >= 0.2.98 with crate(libc/default) < 0.3.0~)
BuildRequires:  (crate(num_threads/default) >= 0.1.2 with crate(num_threads/default) < 0.2.0~)
%if %{with check}
BuildRequires:  (crate(quickcheck_macros/default) >= 1.0.0 with crate(quickcheck_macros/default) < 2.0.0~)
BuildRequires:  (crate(rand) >= 0.8.4 with crate(rand) < 0.9.0~)
BuildRequires:  (crate(serde/derive) >= 1.0.126 with crate(serde/derive) < 2.0.0~)
BuildRequires:  (crate(serde_json/default) >= 1.0.68 with crate(serde_json/default) < 2.0.0~)
BuildRequires:  (crate(serde_test/default) >= 1.0.126 with crate(serde_test/default) < 2.0.0~)
%endif

%global _description %{expand:
Date and time library. Fully interoperable with the standard library. Mostly
compatible with #![no_std].}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-Apache
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+formatting-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+formatting-devel %{_description}

This package contains library source intended for building other packages which
use the "formatting" feature of the "%{crate}" crate.

%files       -n %{name}+formatting-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+itoa-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+itoa-devel %{_description}

This package contains library source intended for building other packages which
use the "itoa" feature of the "%{crate}" crate.

%files       -n %{name}+itoa-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+large-dates-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+large-dates-devel %{_description}

This package contains library source intended for building other packages which
use the "large-dates" feature of the "%{crate}" crate.

%files       -n %{name}+large-dates-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local-offset-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local-offset-devel %{_description}

This package contains library source intended for building other packages which
use the "local-offset" feature of the "%{crate}" crate.

%files       -n %{name}+local-offset-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+macros-devel %{_description}

This package contains library source intended for building other packages which
use the "macros" feature of the "%{crate}" crate.

%files       -n %{name}+macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parsing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parsing-devel %{_description}

This package contains library source intended for building other packages which
use the "parsing" feature of the "%{crate}" crate.

%files       -n %{name}+parsing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quickcheck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quickcheck-devel %{_description}

This package contains library source intended for building other packages which
use the "quickcheck" feature of the "%{crate}" crate.

%files       -n %{name}+quickcheck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quickcheck-dep-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quickcheck-dep-devel %{_description}

This package contains library source intended for building other packages which
use the "quickcheck-dep" feature of the "%{crate}" crate.

%files       -n %{name}+quickcheck-dep-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-human-readable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-human-readable-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-human-readable" feature of the "%{crate}" crate.

%files       -n %{name}+serde-human-readable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-well-known-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-well-known-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-well-known" feature of the "%{crate}" crate.

%files       -n %{name}+serde-well-known-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+time-macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+time-macros-devel %{_description}

This package contains library source intended for building other packages which
use the "time-macros" feature of the "%{crate}" crate.

%files       -n %{name}+time-macros-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu May 12 2022 Oleg Girko <ol@infoserver.lv> - 0.3.9-1
- Initial package
